Package org.eclipse.lemminx.extensions.contentmodel.participants.codeactions.missinggrammar

## Class AbstractGenerateGrammarCodeActionResolver

- java.lang.Object
- - org.eclipse.lemminx.extensions.contentmodel.participants.codeactions.missinggrammar.AbstractGenerateGrammarCodeActionResolver

All Implemented Interfaces:
  `ICodeActionResolvesParticipant`

Direct Known Subclasses:
  `GenerateDTDCodeActionResolver`, `GenerateXSDCodeActionResolver`

    public abstract class AbstractGenerateGrammarCodeActionResolver
    extends Object
    implements ICodeActionResolvesParticipant

Base class of the code action resolver participant used to generate the missing grammar (DTD / XSD) which is declared in the XML as association (ex : via xsi:noNamespaceSchemaLocation)

Author:
  Angelo ZERR

### Constructor Summary

Constructors
`AbstractGenerateGrammarCodeActionResolver()`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`protected abstract FileContentGeneratorSettings` `getFileContentGeneratorSettings()` Returns the grammar settings used to generate the missing grammar file (XSD, DTD).
`org.eclipse.lsp4j.CodeAction` `resolveCodeAction​(ICodeActionResolverRequest request, org.eclipse.lsp4j.jsonrpc.CancelChecker cancelChecker)` Returns the resolved codeAction coming from the unresolved codeAction of the given `request`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AbstractGenerateGrammarCodeActionResolver

    public AbstractGenerateGrammarCodeActionResolver()

### Method Detail

#### resolveCodeAction

    public final org.eclipse.lsp4j.CodeAction resolveCodeAction​(ICodeActionResolverRequest request,
                                                                org.eclipse.lsp4j.jsonrpc.CancelChecker cancelChecker)

Description copied from interface: `ICodeActionResolvesParticipant`
Returns the resolved codeAction coming from the unresolved codeAction of the given `request`.

Specified by:
  `resolveCodeAction` in interface `ICodeActionResolvesParticipant`
Parameters:
  `request` - the resolve code action request.
  `cancelChecker` - the cancel checker.
Returns:
  the resolved codeAction coming from the unresolved codeAction of the given `request`.

#### getFileContentGeneratorSettings

    protected abstract FileContentGeneratorSettings getFileContentGeneratorSettings()

Returns the grammar settings used to generate the missing grammar file (XSD, DTD).

Returns:
  the grammar settings used to generate the missing grammar file (XSD, DTD).